import { Context, PropsWithChildren } from "react";
export interface NerdSecurityAgentWrapperProps {
    overwrite?: Record<string, string[]>;
    highlight?: boolean;
    access: Record<string, string[]>;
}
declare const SecurityContext: Context<{
    overwrite?: Record<string, string[]>;
    highlight?: boolean;
    access: Record<string, string[]>;
}>;
export { SecurityContext };
/**
 * NerdSecurityAgentWrapper
 *
 * @param {NerdSecurityAgentWrapperProps} props component props
 * @returns {null} NerdSecurityAgentWrapper
 */
export declare function NerdSecurityAgentWrapper(props: PropsWithChildren<NerdSecurityAgentWrapperProps>): JSX.Element;
