declare const env: {
    api: {
        endpoint: {
            defaultValue: string;
            type: string;
            description: string;
        };
        port: {
            defaultValue: number;
            type: string;
            description: string;
        };
        production: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        routePrefix: {
            defaultValue: string;
            type: string;
            description: string;
        };
        signinRoute: {
            defaultValue: string;
            type: string;
            description: string;
        };
        signoutRoute: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    app: {
        alphaWatermark: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        favicon: {
            defaultValue: string;
            type: string;
            description: string;
        };
        logo: {
            defaultValue: string;
            type: string;
            description: string;
        };
        passwordFreeSigninEnabled: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        resetPasswordEnabled: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        rootBackground: {
            defaultValue: string;
            type: string;
            description: string;
        };
        signupEnabled: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
    };
    client: {
        contact: {
            defaultValue: string;
            type: string;
            description: string;
        };
        name: {
            defaultValue: string;
            type: string;
            description: string;
        };
        support: {
            defaultValue: string;
            type: string;
            description: string;
        };
        website: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    debug: {
        consoleLogger: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
    };
    front: {
        baseHostname: {
            defaultValue: string;
            type: string;
            description: string;
        };
        hostname: {
            defaultValue: string;
            type: string;
            description: string;
        };
        production: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
    };
    googleAnalytics: {
        key: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    stripe: {
        token: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    theme: {
        primaryColor: {
            defaultValue: string;
            type: string;
            description: string;
        };
        secondaryColor: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
};
export default env;
