export type SearchMetadatum = {
    id: string;
    label: string;
    name: string;
    type: "int" | "date" | "string" | "bool";
};
export type SearchMetadata = SearchMetadatum[];
export type Filter = {
    name: string;
    value: string | number | boolean;
    comparison: ComparisonOperator;
};
export type Filters = Filter[];
export type ComparisonOperator = "eq" | "gt" | "lt" | "neq" | "gte" | "lte" | "like" | null;
